@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Audiowide&display=swap');

*{
font-family: 'Montserrat', sans-serif;
padding: 0;
margin: 0;
font-size: 1vw;
}

body{
    background-color: black;
    overflow-x: hidden;
}


#navbar{
background-image: linear-gradient(to right, rgb(251, 37, 118), rgb(63, 0, 113));
place-content: center;
width: 100vw;
height: 6 vw;
display: flex;
color: white;
align-items: center;
justify-content:space-evenly;
position:fixed;
z-index: 999;
font-weight: bolder;
}

.icon{
    text-align: left;
    font-family: 'Audiowide', cursive;
    font-size: 4vw;
    color: white;
    cursor: pointer;
}



#menu{
    display: flex;
    cursor: pointer;
    padding-top: 3vw; 
    padding-bottom: 3vw;
}

#menu a{
    margin-left:2vw;
    margin-right:2vw;
    font-size: 1.3vw;
}

#home1, #aboutus1, #event1, #pricelist1, #contactus1{
    position: relative;
    display: inline-block;
}

#home1::after, #aboutus1::after, #event1::after, #pricelist1::after, #contactus1::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 0.3vw;
    background-color:white;
    transform: scaleX(0);
    transform-origin: center;
    transition: transform 0.3s ease-in-out;
}




#home1:hover:after, #aboutus1:hover:after, #event1:hover:after, #pricelist1:hover:after, #contactus1:hover:after{
    transform: scaleX(1);
}


.custom-link{
    color: white;
    text-decoration: none;
}


#hamburger {
    display: none;
    position: absolute;
    right: 2vw;
    top: 3vw;

    transform: translate(0, -50%);

  }

  
  @media screen and (max-width: 768px) {
    #menu {
        display: none;

    }

    #menu a{
        display:grid;
    }

    #hamburger {
      display: block;
    }

    

    #navbar {
        height: auto;
        flex-direction: column;
      }
      
      .icon {
        margin-bottom: 1rem;
      }
      
      .custom-link {
        display: block;
        padding: 0.5rem 0;
      }


      .top-head {
        height: auto;
      }
    
      .Place {
        height: 80vw;
      }
    
      .image-text {
        font-size: 5vw;
      }

  }






.top-head{
    width: 100vw;
    height: auto;
    position: relative;
    display: inline-block; 
}

#homefoto {
    width: 100%;
    height: auto;
    display: block; 
  }

.Place{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); 
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 0.5s ease;
    opacity: 0;
}

.image-text {
    color: white;
    font-size:3vw; 
    text-align: center;
    font-weight: bolder;
    z-index: 2;
  }

#photoinfo{
    width: 30vw;
    height:auto;
}

.label-info{
    color: white;
    text-align: center;
    margin-right: 21vw;
    margin-top: 2vw;
}

.label-info label{
    font-size: 3vw;
    font-weight: bolder;
}

#information-home{
    color: white;
    background-image:  linear-gradient(to right, rgb(251, 37, 118), rgb(63, 0, 113));;
    display: flex;
}

.information-font{
    text-align: justify;
    padding-top: 1.3vw;
}

.information-font div{
    font-size: 1.5vw;
}

.text{
    flex-basis: 90%;
    display: flex;
    flex-direction: column;
    margin: 1vw;
    font-size: 2vw;
}

.text > label{
    font-weight: bold;
   text-align: left;
   font-size: 2vw;
}

.slider{
    overflow: hidden;
    width: 77vw;
}

#upcoming-events{
    width: 150vw;
    height: 40vw;
    align-items: center;
    color: white;
    background-image:  linear-gradient(to right, rgb(251, 37, 118), rgb(63, 0, 113));;
    justify-content: center;
    text-align: center;
    margin-top: 1vw;
    margin-left: 25vw;
    padding-left: 1vw;
    padding-right: 1vw;
    padding-top: 1vw;
    
    display: flex;
    transition: transform 0.5s ease-in-out;
    
}

.event{
    width: 50vw;
    object-fit: cover;

}

.event img{
    width: 33.3vw;
    height: 30vw;
}

.label-upcoming{
    margin-bottom: 1vw;
    color: white;
    text-align: center;
    margin-top: 1vw;
}

.label-upcoming label{
    font-size: 3vw;
    font-weight: bolder;
}

#xe{
    border-radius: 0.8vw;
    margin-top: 1vw;
}

.name-event1{
    margin-top: 0.8vw;
    margin-bottom: 0.8vw;
    padding-bottom: 3vw;
}

.name-event1 div{
    font-size: 1.5vw;
}
    
.latest-news{
    text-align: center;
    color: white;
    font-weight: bold;
    margin-top: 3vw;
    font-size: 3vw;
    margin-bottom: 1.2vw;
}

.latest-container{
    display:flex;
}


  
  .block1 img:hover {
    transform: scale(1.1);
  }
  .block2 img:hover {
    transform: scale(1.1);
  }

.block1{
    width: 50vw;
    height: 32vw;
    background-color:rgb(251, 37, 118);
    border-radius: 0.8vw;
}

.block2{
    width: 50vw;
    height: 32vw;
    background-color: rgb(63, 0, 113);
    border-radius: 0.8vw;
}

.block1 img{
    width: 50vw;
    height: 26vw;
    transition: transform 0.3s;
}

.block2 img{
    width: 50vw;
    height: 26vw;
    transition: transform 0.3s;
}

.block1 button{
    color: rgb(251, 37, 118);
    background-color: white;
    border-radius: 0.5vw;
    font-weight: bolder;
    padding: 0.8vw;
    margin-left: 0.6vw;
    border-color: white;

}

.block2 button{
    color: rgb(251, 37, 118);
    background-color: white;
    border-radius: 0.5vw;
    font-weight: bolder;
    padding: 0.8vw;
    margin-left: 0.6vw;
    border-color: white;

    
}

.block-text{
    font-weight: bolder;
    color: white;
    margin-right: 1rem;
    text-align: right;
    top: 95.5%;
    right: 100%;
    transform: translate(0%, -110%);
    margin-bottom: 0.4vw;
    font-size: 1.5vw;
}

.footer{
    margin: 3vw;
    margin-bottom: 0;
    align-items: center;
    width: 100vw;
    height: 10vw;
    display: flex;
    column-gap: 4vw;
}

.footer label{
font-weight: bolder;
color: white;
padding-top: 0.8vw;
cursor: pointer;
}

.menu-footer{
    color: white;
    font-weight: thin;
    padding: 1vw;
    cursor: pointer;
}

.copyright{
    margin-top: 1.25vw;
    color: white;
    font-weight: bolder;
    text-align: center;
}

.medsos-footer{
    /* size: 0.8vw; */
    display: flex;
    column-gap: 4vw;
    padding-bottom: 2vw;
    padding-left: 1vw;
    align-items: center;
    cursor: pointer;
    margin-left:5vw;
}

.medsos-footer img{
    width: 3vw;
    height: 3vw;
}

.footer-copyright{
    background-image:  linear-gradient(to right, rgb(251, 37, 118), rgb(63, 0, 113));
}

.custom-link1{
    color: white;
    text-decoration: none;
    display: block;
}

.contact-us{
    color: white;
    text-align: right;
    margin-left:7vw;
}

